Subject: emacs org version confusion
From: Christopher Howard <[email-masked]>
To: bug-guix <[email-masked]>
Date: Thu, 11 Feb 2021 14:35:11 -0900
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi, our emacs package, as well as the emacs-next package, appears to
come package with its own release of org (org-mode). M-x org-version
gives version 9.3. However, we also have an emacs-org package at 9.4.4.
Emacs still tries to use the 9.3 version if I install emacs-org
package. So, I'm confused why we have both. Also, I'm wanting to use
the newer version as the old version has an inconvenient bug.

christopher@theoden ~$ guix describe
Generation 11	Jan 28 2021 08:54:56	(current)
  guix 34861ac
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: 34861ac8eae3935b19b387545ca3c4c311fb66e7
christopher@theoden ~$ neofetch --stdout
christopher@theoden 
------------------- 
OS: Guix System 34861ac8eae3935b19b387545ca3c4c311fb66e7 x86_64 
Host: OptiPlex 9020 00 
Kernel: 5.10.11-gnu 
Uptime: 7 days, 5 hours, 17 mins 
Packages: 90 (guix-system), 86 (guix-user) 
Shell: bash 5.0.16 
Resolution: 1920x1080 
DE: GNOME 
Theme: Adwaita [GTK2/3] 
Icons: Adwaita [GTK2/3] 
Terminal: kitty 
CPU: Intel i5-4570 (4) @ 3.600GHz 
GPU: Intel HD Graphics 
GPU: AMD ATI Radeon HD 8490 / R5 235X OEM 
Memory: 3571MiB / 7871MiB